Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1351766

Description of problem:

The latest downstream Foreman release added some permissions checks to inherited parameter lookups for managed hosts. This

breaks our (QCI) deployments, as the host is not be able to find an associated activation key (inherited from the hostgroup), will not

register with subscription-manager (snippet is conditional on activation key in the kickstart), and will fail to install or configure puppet.

The BZ that prompted the breaking change is https://bugzilla.redhat.com/show_bug.cgi?id=1296662 . The UI shows the

Version-Release number of selected component (if applicable):

6.2.0

How reproducible:

100%

Steps to Reproduce:

1. Create a hostgroup

2. Add parameters to that hostgroup

3. Convert a discovered host to a managed host.

4. From the rails console, load up the hostgroup and host

5. Set the host's hostgroup to the newly created one and save the host

6. Check host.params

Actual results:

An empty dictionary

Expected results:

Consistent with previous behavior and the web UI, you would see the parameters that the host inherited from the hostgroup.

Additional comments:

Even though the WebUI shows the inherited parameters correctly, and checking the generated kickstart looks correct, when we

actually trigger a build on the host, the kickstart it gets does not have access to any of the host's inherited parameters, consistent

with the behavior on the console.

Related issues:

Related to Foreman - Bug #13164: view_params is missing Closed 01/12/2016

Related to Foreman Remote Execution - Bug #13689: The ssh keys bootstrap prov... Closed 02/12/2016

Related to Foreman - Bug #17395: @host.params are not interpreted when was us... Closed 11/18/2016

Associated revisions

Revision 4ee667ac - 07/11/2016 08:55 AM - Ori Rabin

Fixes #15599 - Unattended controller can access host params (#3629)

History
https://bugzilla.redhat.com/show_bug.cgi?id=1351766
https://bugzilla.redhat.com/show_bug.cgi?id=1296662


#1 - 07/07/2016 04:12 AM - Ori Rabin

- Subject changed from Can't access inherited parameters from host to Unattended controller can't access host parameters in kickstart templates

- Category changed from Inventory to Parameters

- Status changed from New to Assigned

- Assignee set to Ori Rabin

#2 - 07/07/2016 04:20 AM - Dominic Cleal

- Related to Bug #13164: view_params is missing added

#3 - 07/07/2016 04:20 AM - Dominic Cleal

- Category changed from Parameters to Users, Roles and Permissions

- translation missing: en.field_release set to 160

#4 - 07/08/2016 03:35 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3629 added

#5 - 07/08/2016 05:05 AM - Ivan Necas

- Related to Bug #13689: The ssh keys bootstrap provisioning snippet doesn't work with global proxies added

#6 - 07/11/2016 09:01 AM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4ee667ac30c6c3436ed70e2acf984c053601471f.

#7 - 12/05/2016 08:43 AM - Dominic Cleal

- Related to Bug #17395: @host.params are not interpreted when was used in ptable kickstart  template. added
